Skip to main content
GET
Get cluster analysis

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

clusterId
string<uuid>
required

Cluster ID

analysisId
string<uuid>
required

Cluster analysis ID

Response

Cluster analysis

id
string<uuid>
required
cluster_id
string<uuid>
required
organization_id
string<uuid>
required
kind
enum<string>
required
Available options:
COST_RECOMMENDATION,
DEPRECATED_API_CHECK
status
enum<string>
required
Available options:
PENDING,
RUNNING,
SUCCEEDED,
FAILED,
TERMINATED
output_format
enum<string>
required
Available options:
TABLE,
JSON,
CSV
created_at
string<date-time>
required
updated_at
string<date-time>
required
triggered_by
string
required
error_message
string | null